Scripts

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • versions

  • versions_count

  • versionsExists

  • versions.content

  • latestVersion

  • latestVersion_count

  • latestVersionExists

  • latestVersion.content

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • versions.id

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • scripts.id

  • scripts.script_template_id

  • scripts.name

  • scripts.description

  • scripts.language

  • scripts.created_at

  • scripts.updated_at

  • versions.id

  • versions.script_id

  • versions.version

  • versions.name

  • versions.deployed_at

  • versions.deployment_failed_at

  • versions.deploying

  • versions.deployment_failure_reason

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

filter[versions.id]stringOptional

Filter results by versions.id.

includestringOptional

Comma-separated list of relationships to include. Available: versions, versions.content, latestVersion, latestVersion.content

sortstringOptional

Sort field. Prefix with - for descending. Available: name

fields[versions]stringOptional

Comma-separated list of versions fields to return. Available: id, script_id, version, name, deployed_at, deployment_failed_at, deploying, deployment_failure_reason

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/scripts

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

description

string

language

string

ai_created

Authorizations
Body
descriptionstring · max: 255 · nullableOptional
languagestringRequired
ai_createdstring · nullableOptional
namestring · max: 255Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/scripts

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • versions

  • versions_count

  • versionsExists

  • versions.content

  • latestVersion

  • latestVersion_count

  • latestVersionExists

  • latestVersion.content

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

  • versions.id

Available Fields

These are the fields that can be requested to limit the data returned. Please see the section on using fields for more details.

  • scripts.id

  • scripts.script_template_id

  • scripts.name

  • scripts.description

  • scripts.language

  • scripts.created_at

  • scripts.updated_at

  • versions.id

  • versions.script_id

  • versions.version

  • versions.name

  • versions.deployed_at

  • versions.deployment_failed_at

  • versions.deploying

  • versions.deployment_failure_reason

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
Path parameters
scriptstringRequired

The script identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[versions.id]stringOptional

Filter results by versions.id.

includestringOptional

Comma-separated list of relationships to include. Available: versions, versions.content, latestVersion, latestVersion.content

sortstringOptional

Sort field. Prefix with - for descending. Available: name

fields[versions]stringOptional

Comma-separated list of versions fields to return. Available: id, script_id, version, name, deployed_at, deployment_failed_at, deploying, deployment_failure_reason

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/scripts/{script}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

description

string

language

string

value

string

Authorizations
Path parameters
scriptstringRequired

The script identifier.

Body
descriptionstring · max: 255 · nullableOptional
languagestringOptional
valuestring · min: 1Optional
namestring · max: 255Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/scripts/{script}

Destroy

delete

Delete a script.

Authorizations
Path parameters
scriptstringRequired

The script identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/scripts/{script}

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • content

  • content_count

  • contentExists

  • script

  • script_count

  • scriptExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • is_deployed

Authorizations
Path parameters
scriptstringRequired

The script identifier.

Query parameters
filter[is_deployed]stringOptional

Filter results by is_deployed.

filter[deployed_at]stringOptional

Filter results by deployed_at.

includestringOptional

Comma-separated list of relationships to include. Available: content, script

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/scripts/{script}/script-versions

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

content

string

Authorizations
Path parameters
scriptstringRequired

The script identifier.

Body
contentstring · min: 1Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/scripts/{script}/script-versions

Last updated

Was this helpful?